https://bugzilla.redhat.com/show_bug.cgi?id=1542522



--- Comment #3 from Iwicki Artur <fed...@svgames.pl> ---
>%if 0%{?rhel}
>Group: Development/Languages
>%endif
Sorry, I should have been more clear. Drop this completely. The Group: tag is
not used in EPEL, either.

>License: Apache-2.0
Still not fixed. See my content above.

>install -m 0555 -s ./jsonnet $RPM_BUILD_ROOT%{_bindir}
>install -m 0444 ./include/* $RPM_BUILD_ROOT%{_includedir}
>install -m 0444 -s ./lib%{name}.so $RPM_BUILD_ROOT%{_libdir}
The default is to make all things writable by root, so this should probably be
0755 and 0644 (unless you have a good reason). Also, looking at /usr/lib on my
system - libraries are usually installed with 755, not 644.

Regarding the licence: you should make sure that the licence text is present if
the user installs any combination of packages. Currently the licence is present
only in the main package. The lib package can be installed independently of the
main package, so it should contain a copy of the licence text. The -devel and
-python packages Require the lib package, so they don't need their own copy.
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Subpackage_Licensing

-- 
You are receiving this mail because:
You are on the CC list for the bug.
You are always notified about changes to this product and component
_______________________________________________
package-review mailing list -- package-review@lists.fedoraproject.org
To unsubscribe send an email to package-review-le...@lists.fedoraproject.org

Reply via email to